Subject: Re: bug#35781: 27.0.50; [PATCH] Improve font display on Cairo builds

From: Kévin Le Gouguec <[email-masked]>
Date: Fri, 17 May 2019 20:14:41 +0200

Dmitry Gutov <[email-masked]> writes:

> Isn't font hinting something that the user sets in their global
> display configuration? With different people preferring different
> levels of hinting.

Possibly?  Though AFAICT on my setups, font hinting in Emacs varies just
by enabling --with-cairo; I am fairly sure my "global display
configuration" remained unchanged while testing this (if by global you
mean "system-wide", or "independent of Emacs's configuration").

So naively, if I didn't explicitly change this global configuration, I
would expect any difference in display in Emacs to be Emacs's
responsibility…

Of course, I may be missing something.